### DB_ENV->rep_set_priority

`

###

    #include <db.h>

    int
    DB_ENV->rep_set_priority(DB_ENV *env, int priority);
    int
    DB_ENV->rep_get_priority(DB_ENV *env, int *priorityp);

### Description: DB_ENV->rep_set_priority

The DB_ENV->rep_set_priority method specifies the database environment's priority in replication group elections. The priority must be a positive integer, or 0 if this environment cannot be a replication group master.

The DB_ENV->rep_set_priority method configures a database environment, not only operations performed using the specified DB_ENV handle.

The DB_ENV->rep_set_priority method may be called at any time during the life of the application.

The DB_ENV->rep_set_priority method returns a non-zero error value on failure and 0 on success.

### Parameters

priority
  The priority of this database environment in the replication group. The priority must be a positive integer, or 0 if this environment cannot be a replication group master. (See Replication environment priorities for more information).

### Description: DB_ENV->rep_get_priority

The DB_ENV->rep_get_priority method returns the database environment priority.

The DB_ENV->rep_get_priority method may be called at any time during the life of the application.

The DB_ENV->rep_get_priority method returns a non-zero error value on failure and 0 on success.

### Parameters

priorityp
  The DB_ENV->rep_get_priority method returns the database environment priority in priorityp.

### Class

DB_ENV

### See Also

Replication and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.